> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get listing reviews

> Get listing reviews.

Get listing reviews.

**Credits:** 20 per successful request. Failed requests and empty result sets are not charged.

## Authentication

<ParamField header="X-API-Key" type="string" required>Your ScrapeBadger API key.</ParamField>

## Parameters

<ParamField path="listing_id" type="string" required>
  Listing id.
</ParamField>

<ParamField query="page" type="integer" default="1">
  Page. Minimum: 1. Maximum: 10000.
</ParamField>

<ParamField query="sort" type="string" default="Relevancy">
  Sort. Allowed values: `Relevancy`, `Recency`, `Highest`, `Lowest`.
</ParamField>

<ParamField query="country" type="string" default="US">
  Country.
</ParamField>

<ParamField query="currency" type="string" default="USD">
  Currency.
</ParamField>

<ParamField query="language" type="string" default="en-US">
  Language.
</ParamField>

## Response

```json theme={null}
{
  "listing_id": "4569788202",
  "reviews": [
    {
      "review_id": "5219052744",
      "rating": 5.0,
      "text": "Fast and secure shipping for a fragile item. The mug is fantastic quality and my partner loves it. Thank You so much!",
      "author": "Mike",
      "author_url": "https://www.etsy.com/people/h3i71ex2uwlhlmtj?ref=l_review",
      "created_utc": 1790380800.0,
      "created_at": "2026-09-26T00:00:00Z",
      "listing_id": "4569788202",
      "listing_title": "Handmade Mushroom meadow mug ceramic",
      "listing_url": "https://www.etsy.com/listing/4569788202/handmade-mushroom-meadow-mug-ceramic?ref=reviews",
      "seller_response": null,
      "images": [
        "https://i.etsystatic.com/iap/277b5a/8580993596/iap_300x300.8580993596_6q2sakpp.jpg?version=0"
      ],
      "author_avatar": null,
      "translated_text": null,
      "translation_context": {
        "canTranslateReview": false,
        "canTranslateResponse": false,
        "targetLanguageCode": "en",
        "targetLanguageName": "English"
      },
      "original": {
        "transactionId": 5219052744,
        "reviewInfo": {
          "isRecommended": null,
          "rating": 5,
          "reviewDate": "Sep 26, 2026",
          "shouldShowVariations": false,
          "shouldShowTransactionData": false,
          "transactionData": {
            "listingTitle": "Handmade Mushroom meadow mug ceramic",
            "listingUrl": "/listing/4569788202/handmade-mushroom-meadow-mug-ceramic?ref=reviews"
          }
        },
        "buyerInfo": {
          "name": "Mike",
          "isAnonymous": false,
          "isInactive": false,
          "profileUrl": "https://www.etsy.com/people/h3i71ex2uwlhlmtj?ref=l_review",
          "avatarUrl": null
        },
        "reviewContent": {
          "appreciationPhotoUrl": "https://i.etsystatic.com/iap/277b5a/8580993596/iap_300x300.8580993596_6q2sakpp.jpg?version=0",
          "reviewText": "Fast and secure shipping for a fragile item. The mug is fantastic quality and my partner loves it. Thank You so much!",
          "emphasizedText": [],
          "reviewTextTranslated": null,
          "translationAttributionMessage": null
        },
        "sellerResponse": null,
        "translationContext": {
          "canTranslateReview": false,
          "canTranslateResponse": false,
          "targetLanguageCode": "en",
          "targetLanguageName": "English"
        }
      }
    }
  ],
  "page": 1,
  "total_results": 1,
  "total_pages": 1,
  "average_rating": 5,
  "rating_counts": {
    "5": 1,
    "4": 0,
    "3": 0,
    "2": 0,
    "1": 0,
    "All": 1
  },
  "tag_filters": []
}
```

## Example

```bash theme={null}
curl --get 'https://scrapebadger.com/v1/etsy/listings/4569788202/reviews' \
  --header 'X-API-Key: YOUR_API_KEY'
```

[Browse all Etsy endpoints](/etsy/overview).


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.